Bug 1583711 - Unexpected Error when accessing SERVICE -> REQUESTS (undefined method find_tags_by_grouping)
Summary: Unexpected Error when accessing SERVICE -> REQUESTS (undefined method find_ta...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Yuri Rudman
QA Contact: Shveta
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1576129
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 14:09 UTC by Satoe Imaishi
Modified: 2018-06-25 14:21 UTC (History)
12 users (show)

(edit)
Clone Of: 1576129
(edit)
Last Closed: 2018-06-25 14:20:46 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21 UTC
Red Hat Knowledge Base (Solution) 3448281 None None None 2018-05-29 14:10 UTC

Comment 1 CFME Bot 2018-05-29 14:21:51 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/fb18f4d2a3b33cd6edbb98ce0f277c791f11acfc
commit fb18f4d2a3b33cd6edbb98ce0f277c791f11acfc
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed May 23 11:14:23 2018 -0400
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Wed May 23 11:14:23 2018 -0400

    Merge pull request #17466 from yrudman/make-miq_request-act-as-taggable

    Added ActAsTaggable concern to MiqRequest model
    (cherry picked from commit 5923577ea5370b94c05efe74ce85b65982925593)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1583711

 app/models/miq_request.rb | 2 +
 1 file changed, 2 insertions(+)

Comment 2 Shveta 2018-06-13 00:15:38 UTC
Not seeing the error on clicking service - request as user .
But I have one doubt the group is assigned tag "Provisioning Scope = something " tag 
but it is not showing up under "Smart management" like in the "role_details" attachment .

Can you check the appliance once :
https://10.8.198.117/ 
group - custom1


user - shveta/redhat

Comment 3 Gregg Tanzillo 2018-06-14 18:44:51 UTC
I looked at that appliance and assigned the same tag to the group (under "Smart Management") but I still didn't see the error. 

I looked at the code on that appliance and it looks like Yuri's fix is already there. See line 15 of /var/www/miq/vmdb/app/models/miq_request.rb. That's the line he added.

Comment 4 Shveta 2018-06-14 19:30:56 UTC
Verified based on above comment .

Comment 6 errata-xmlrpc 2018-06-25 14:20:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.